Update a Security project
- Base URL
-
https://api.elastic-cloud.com
- PATCH /api/v1/serverless/projects/security/{id}
Only the fields included in the body of the request will be updated.
Request body
The patched Security project
-
aliasstring · min length: 1 · max length: 50 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$ -
A custom domain label compatible with RFC-1035 standards. Derived from the project name by default.
-
admin_features_packagenullable -
admin features package (BYOK, BYOIDP, CCS, CCR). Pass
nullto reset the admin features package to the default value. -
Values:
standardenterprise -
search_lakeobjectnullable -
Configuration for the entire set of capabilities that make the data searchable in Security.
Responses
The updated Security project.
-
aliasstring · min length: 8 · max length: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$required -
A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
-
metadataobjectrequired -
Additional details about the project.
-
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
-
System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
-
cloud_idstringrequired -
The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
-
private_endpointsobject -
Private endpoints (URLs) for Security projects when PrivateLink is enabled.
-
search_lakeobject -
Configuration for the entire set of capabilities that make the data searchable in Security.
Not Found
Conflict